Package: reportbug
Version: 6.6.3
Severity: normal

Dear Maintainer,

The "nmu" command had a syntax change which stopped using ALL (as an alias for
all architectures) in favour of ANY which makes more sense for us, especially
if we start auto-building arch:all packages.

I beleive this patch is enough to make reportbug show the new syntax of "nmu":

diff --git a/reportbug/ b/reportbug/
index 05b99b0..272a651 100644
--- a/reportbug/
+++ b/reportbug/
@@ -505,7 +505,7 @@ def handle_debian_release(package, bts, ui, fromaddr, 
timeout, online=True, http
     if tag == 'binnmu':
         reason  = ui.get_string("binNMU changelog entry: ")
         subject = "nmu: %s_%s" % (package, version)
-        body    = "nmu %s_%s . %s . %s . -m \"%s\"\n" % (package, version, 
archs or "ALL", suite, reason)
+        body    = "nmu %s_%s . %s . %s . -m \"%s\"\n" % (package, version, 
archs or "ANY", suite, reason)
     elif tag == 'transition':
         subject = 'transition: %s' % (package)
         body    = '(please explain about the transition: impacted packages, 
reason, ...\n' \


-- Package-specific info:

-- System Information:
Debian Release: 8.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.16.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL 
set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages reportbug depends on:
ii  apt     
ii  python            2.7.9-1
ii  python-reportbug  6.6.3
pn  python:any        <none>

reportbug recommends no packages.

Versions of packages reportbug suggests:
pn  claws-mail                      <none>
pn  debconf-utils                   <none>
pn  debsums                         <none>
pn  dlocate                         <none>
ii  emacs24-bin-common              24.4+1-5
ii  file                            1:5.22+15-2
ii  gnupg                           1.4.18-7
ii  postfix [mail-transport-agent]  2.11.3-1
pn  python-gtk2                     <none>
pn  python-gtkspell                 <none>
pn  python-urwid                    <none>
pn  python-vte                      <none>
pn  xdg-utils                       <none>

Versions of packages python-reportbug depends on:
ii  apt     
ii  python-debian     0.1.27
ii  python-debianbts  1.12
pn  python:any        <none>

python-reportbug suggests no packages.

-- no debconf information


Reportbug-maint mailing list

Reply via email to